 

/**
 *
 * @author matheus
 */
public class PasswordRepositoryView extends javax.swing.JPanel {

    /**
     * Creates new form NewJPanel2
     */
    public PasswordRepositoryView() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">                          
    private void initComponents() {

        newJPanel11 = new ButtonFormPanel();
        newJPanel1 = new PasswordFormPanel();

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(newJPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(newJPanel11, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(newJPanel11, javax.swing.GroupLayout.PREFERRED_SIZE, 53, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(newJPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );
    }// </editor-fold>                        


    // Variables declaration - do not modify                     
    private PasswordFormPanel newJPanel1;
    private ButtonFormPanel newJPanel11;
    // End of variables declaration 
    public ButtonFormPanel getButtonFormPanel(){
        return this.newJPanel11;
    }
    public void setButtonFormPanel(ButtonFormPanel buttonFormPanel){
        this.newJPanel11 = buttonFormPanel;
    }
    public PasswordFormPanel getPasswordFormPanel(){
        return this.newJPanel1;
    }
    public void setPasswordFormPanel(PasswordFormPanel passwordFormPanel){
        this.newJPanel1 = passwordFormPanel;
    }
    public static void main(String[] args) {
        javax.swing.JFrame jFrame = new javax.swing.JFrame();
        jFrame.setSize(300,300);
        PasswordRepositoryView srv = new PasswordRepositoryView();
        jFrame.add(srv);
        jFrame.setVisible(true);
        jFrame.pack();
    }

}